Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Thu 23 Oct 2014, 01:14
All times are UTC - 4
 Forum index » Advanced Topics » Puppy Derivatives
Mageia 2-Based Puppies - LAST BETA RELEASE
Moderators: Flash, JohnMurga
Post new topic   Reply to topic View previous topic :: View next topic
Page 9 of 15 [211 Posts]   Goto page: Previous 1, 2, 3, ..., 7, 8, 9, 10, 11, 12, 13, 14, 15 Next
Author Message
peebee


Joined: 21 Sep 2008
Posts: 1462
Location: Malvern, Worcs, UK

PostPosted: Tue 21 Aug 2012, 14:58    Post subject: Re: Broadcom-STA wl driver for mage2  

peebee wrote:
Here is the Broadcom proprietary wl driver compiled for k3.3.6 and mage2.

To install you need to first load the small delta pet followed by the multi-kernel pet from this download.

A reboot is needed to activate the new driver.

The multi-kernel pet contains the logic developed by rerwin to choose the correct broadcom driver for the various types of broadcom wifi hardware.

The background to this driver can be found in this post

Cheers
peebee


An update of the delta pet needed to install the Broadcom WL wifi driver onto the new version of Mage2 with its updated kernel can be found at:
http://murga-linux.com/puppy/viewtopic.php?t=76495&start=14

Please install as described above.

Cheers
peebee

_________________
LxPup-14.10 = Puppy + LXDE
Back to top
View user's profile Send private message Visit poster's website 
feelsub

Joined: 20 Jun 2012
Posts: 39

PostPosted: Sat 25 Aug 2012, 10:48    Post subject:  

Tested on Core5, works fine, but:

* gThumb installs but fails to launch.

* ffmpeg is old, use the latest BUILD of 0.11 (many bug fixes since 0.11.1, but no 0.11.2 release yet)

* unfortunately can't find Chrome Browser
Back to top
View user's profile Send private message 
scsijon

Joined: 23 May 2007
Posts: 1047
Location: the australian mallee

PostPosted: Sat 25 Aug 2012, 21:47    Post subject:  

feelsub wrote:
Tested on Core5, works fine, but:

* gThumb installs but fails to launch.

* ffmpeg is old, use the latest BUILD of 0.11 (many bug fixes since 0.11.1, but no 0.11.2 release yet)

* unfortunately can't find Chrome Browser


Thanks feelsub for your report,

With gThumb, try starting it in a Terminal Window, it may need an extra library or three not already installed and it should tell you, use the puppy 'check dependancies of installed package' to find which. Not having used it, can you give a report on it please as others may be interested?

The ffmpeg is the current one for Mageia 2, if you want/need a later one check the updates areas for a later one, however we are working on Mageia 3 at the moment which has 11.1 but the size has increased considerably between 10 and 11, you may need to compile your own if you need it specifically for mage2.

The Chrome Browser can be found under core updates as 'chromium-browser' although they are working on the Open-chrome project so that should appear soon. It's not a small package though!

regards
scsijon

_________________
Puppy T290 - BarryK's Racy but with T2 Version 9.0 is under development.
http://www.murga-linux.com/puppy/viewtopic.php?t=94575
Back to top
View user's profile Send private message Visit poster's website 
feelsub

Joined: 20 Jun 2012
Posts: 39

PostPosted: Tue 28 Aug 2012, 07:03    Post subject:  

I saw for Mageia 3, so I'll wait for new build.

Quote:
but the size has increased considerably between 10 and 11

Could be(nothing in comparison to a LibreOffice), V11 supports new codecs including for 1st time WMA Lossless.
Back to top
View user's profile Send private message 
scsijon

Joined: 23 May 2007
Posts: 1047
Location: the australian mallee

PostPosted: Tue 28 Aug 2012, 20:55    Post subject:  

feelsub, the mage2 release will be mageia 2 compatable, not mageia 3 compatable.

Mageia 3 has a LOT of system and package location and version changes in it plus quite a few 'puppy system packages' won't be useable. It's first alpha is only appearing to the testers next month, release is next christmas or so away. From what i'm dealing with and reading, it may never become a puppy source for general use, so don't hold your breath for an alpha, as there will be quite a pet build requirement to deal with first.

I will be working on my qtpuppy after getting the mage2 release out and only return to trying to start to formulate a Mage3 packageset when mageia 3 is in beta.

UPDATE: 30Aug 2012
There will be a second Beta needed, due to some problems found to have sources from within the 3.3.6 Kernel. The new one will use 3.3.8 Kernel which has these problems fixed and be out hopefully next week. Sorry folks.

_________________
Puppy T290 - BarryK's Racy but with T2 Version 9.0 is under development.
http://www.murga-linux.com/puppy/viewtopic.php?t=94575
Back to top
View user's profile Send private message Visit poster's website 
scsijon

Joined: 23 May 2007
Posts: 1047
Location: the australian mallee

PostPosted: Sat 01 Sep 2012, 19:04    Post subject:  

had a 'little' corruption problem on my development partition, will have to rebuild it after moving packages and sources off so will be a few days late with the 3.3.8 kernel beta for mage2. Will try for a beta 1.9.95 next weekend.
_________________
Puppy T290 - BarryK's Racy but with T2 Version 9.0 is under development.
http://www.murga-linux.com/puppy/viewtopic.php?t=94575
Back to top
View user's profile Send private message Visit poster's website 
scsijon

Joined: 23 May 2007
Posts: 1047
Location: the australian mallee

PostPosted: Sun 09 Sep 2012, 20:59    Post subject: Mage2 1.9.95 with 3.3.8 Kernel  

The beta has been uploaded for testing. See page1.

Please note that the only differance between this and the 1.1.90 is the kernel, however a number of problems that were kernel related have already disapeared and marked as fixed on my list.

Peebee's Broadcom patch has yet to be built for this kernel and he will add a link in this thread when it's done.

Mplayer is out of the build due to conflicts with the differant back ends between puppy's and Mageia's. If someone wants to take on the project of building a compatable one, feel free.

The only 'nusance' problem I have still is 'Desktop Icon Switcher' not displaying the various icons, even though they are in the /tmp directory and it does switch the sets corectly! I suspect this is a gtk/gdk problem between the mixed set necessary for Mage2 to work. I have it in my fix list for qtpuppy, but don't intend to do anything further in mage2 about it.

Unless any serious problems appear the Mage2-2.0.0 Release will be out on the 21st of September, with a fix period until the end of the month.

Then finally I shall be working on qtpuppy!

For those wondering about and considering Mage3, with the number of changes in Build Structure, File Locations, Updates, and Formats they are working on I an not sure it will happen. It certainly won't be this year I start on it anyway, if we can ever do it. It will need most of the packages in our part of the build to be recompiled at least, if not replaced.

scsijon

_________________
Puppy T290 - BarryK's Racy but with T2 Version 9.0 is under development.
http://www.murga-linux.com/puppy/viewtopic.php?t=94575
Back to top
View user's profile Send private message Visit poster's website 
peebee


Joined: 21 Sep 2008
Posts: 1462
Location: Malvern, Worcs, UK

PostPosted: Mon 10 Sep 2012, 03:45    Post subject: Re: Mage2 1.9.95 with 3.3.8 Kernel  

scsijon wrote:
Peebee's Broadcom patch has yet to be built for this kernel and he will add a link in this thread when it's done.


The delta pet for Mage2 1.9.95 with k3.3.8 has now been built and is available from:
http://murga-linux.com/puppy/viewtopic.php?t=76495&start=14

This is a delta pet which allows the multi-kernel pet in the same thread at post #1 to work on many different kernels.

I've tested it on my relatively well-behaved Broadcom wifi using wpa2 encryption on my HP550 laptop and all seems OK.

Cheers
peebee

_________________
LxPup-14.10 = Puppy + LXDE
Back to top
View user's profile Send private message Visit poster's website 
Colonel Panic


Joined: 16 Sep 2006
Posts: 1521

PostPosted: Tue 11 Sep 2012, 10:19    Post subject:  

Hi, I've just downloaded Mage 1.95 and am posting from it now. Unfortunately it isn't going well.

Three times Abiword's crashed on me now, once when pasting a URL into a document there, once when spell checking and once when trying to save a document. Sorry, but I rate it as unusable on my machine as things stand.

CP .

_________________
Stone Pentium IV (2.4 GHz), 2 GB of RAM, 160 GB hard drive running PuppEX 14.1, New Year's Pup 02, Puppy 4.31 Workhorse, Puppy X-Precise 2.4, Puppy Carolina 1.2, Puppy Legacy OS2 LTS, Puppy Diamond 528_512 (full) and Puppy Upup Raring 3.9.9.2.
Back to top
View user's profile Send private message 
scsijon

Joined: 23 May 2007
Posts: 1047
Location: the australian mallee

PostPosted: Tue 11 Sep 2012, 19:38    Post subject:  

Colonel Panic wrote:
Hi, I've just downloaded Mage 1.95 and am posting from it now. Unfortunately it isn't going well.

Three times Abiword's crashed on me now, once when pasting a URL into a document there, once when spell checking and once when trying to save a document. Sorry, but I rate it as unusable on my machine as things stand.

CP .


hi CP, can you attach the /tmp/xerrs.log for your system from after youve had a crash please, it may give me an idea of the cause as your the only one with this problem so far.

Thanks
scsijon

_________________
Puppy T290 - BarryK's Racy but with T2 Version 9.0 is under development.
http://www.murga-linux.com/puppy/viewtopic.php?t=94575
Back to top
View user's profile Send private message Visit poster's website 
James C


Joined: 26 Mar 2009
Posts: 5859
Location: Kentucky

PostPosted: Wed 12 Sep 2012, 00:23    Post subject:  

Manual frugal install of Mage2 1.9.95 on my Athlon XP box....... sound and internet working and correct on initial boot. Booted to an incorrect resolution but no problem using Xorgwizard to get the correct 1440x900.

# report-video
mage2, version 1.9.95 on Tue 11 Sep 2012

Chip description:

oem: NVidia
product: NV18 () Board Chip Rev A2

X Server: Xorg
Driver used: nv

X.Org version: 1.11.4
dimensions: 1440x900 pixels (411x263 millimeters)
depth of root window: 24 planes

...the above also recorded in /tmp/root/ as report-video,
and archived with xorg.conf and Xorg.0.log as report-video-full.gz
Back to top
View user's profile Send private message 
James C


Joined: 26 Mar 2009
Posts: 5859
Location: Kentucky

PostPosted: Wed 12 Sep 2012, 00:33    Post subject:  

Tried to compose and save a file in Abiword...... crashed immediately here too.

Relevant section of xerrs.log......

Code:
(abiword:4894): GdkPixbuf-WARNING **: Bug! loader 'png' didn't set an error on failure

(abiword:4894): GdkPixbuf-WARNING **: Bug! gdk-pixbuf loader 'png' didn't set an error on failure.

** (abiword:4894): WARNING **: Unable to load AbiWord icon: Failed to load image '/usr/share/icons/abiword_48.png': reason not known, probably a corrupt image file


(abiword:4894): GLib-GIO-ERROR **: No GSettings schemas are installed on the system



Was able to copy a url into Abiword but crashed when trying to save.......launched from terminal so terminal output this time.....


Code:
(abiword:17514): GdkPixbuf-WARNING **: Bug! gdk-pixbuf loader 'png' didn't set an error on failure.

** (abiword:17514): WARNING **: Unable to load AbiWord icon: Failed to load image '/usr/share/icons/abiword_48.png': reason not known, probably a corrupt image file


(abiword:17514): Gtk-CRITICAL **: gtk_clipboard_request_targets: assertion `callback != NULL' failed

(abiword:17514): Gtk-CRITICAL **: gtk_clipboard_request_targets: assertion `callback != NULL' failed

(abiword:17514): Gtk-CRITICAL **: gtk_clipboard_request_targets: assertion `callback != NULL' failed

(abiword:17514): Gtk-CRITICAL **: gtk_clipboard_request_targets: assertion `callback != NULL' failed

(abiword:17514): GLib-GIO-ERROR **: No GSettings schemas are installed on the system
Trace/breakpoint trap

#
HTH.
Back to top
View user's profile Send private message 
James C


Joined: 26 Mar 2009
Posts: 5859
Location: Kentucky

PostPosted: Wed 12 Sep 2012, 00:46    Post subject:  

Real minor thing but missing the "filesystem" icon in the menu........
missing icon.png
 Description   
 Filesize   10.63 KB
 Viewed   572 Time(s)

missing icon.png

Back to top
View user's profile Send private message 
James C


Joined: 26 Mar 2009
Posts: 5859
Location: Kentucky

PostPosted: Wed 12 Sep 2012, 00:51    Post subject:  

PupRadio doesn't launch.....

Code:
# pupradio
/usr/local/pupradio/pupradio: line 105: /root/.pupradio/config: No such file or directory
#



Simple fix...... just copied the missing config file from another Puppy to /root/.pupradio/config. No MPlayer but PupRadio launches. Smile
Back to top
View user's profile Send private message 
James C


Joined: 26 Mar 2009
Posts: 5859
Location: Kentucky

PostPosted: Wed 12 Sep 2012, 01:06    Post subject:  

Installed Gnome Mplayer 1.0.6 from the Mageia repo plus the dependencies....... also needed to install libneon0.27-0.29.6-1.mga2.i586.

Now I get this familiar looking error message....

Code:
# gnome-mplayer

(gnome-mplayer:15130): GLib-GIO-ERROR **: No GSettings schemas are installed on the system
Trace/breakpoint trap
#


After midnight, time for a break......
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 9 of 15 [211 Posts]   Goto page: Previous 1, 2, 3, ..., 7, 8, 9, 10, 11, 12, 13, 14, 15 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Puppy Derivatives
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1282s ][ Queries: 13 (0.0401s) ][ GZIP on ]